com.jogamp.gluegen

## Class ArrayTypes

- java.lang.Object
- - com.jogamp.gluegen.ArrayTypes

-     public class ArrayTypes
      extends Object

  Convenience class containing the Class objects corresponding to arrays of various types (e.g., `booleanArrayClass` is the Class of Java type "boolean[]").

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Class<?>` | `booleanArrayClass` Class for Java type boolean[]
    `static Class<?>` | `bufferArrayClass` Class for Java type Buffer[]
    `static Class<?>` | `byteArrayClass` Class for Java type byte[]
    `static Class<?>` | `byteBufferArrayClass` Class for Java type ByteBuffer[]
    `static Class<?>` | `charArrayClass` Class for Java type char[]
    `static Class<?>` | `doubleArrayClass` Class for Java type double[]
    `static Class<?>` | `doubleBufferArrayClass` Class for Java type DoubleBuffer[]
    `static Class<?>` | `floatArrayClass` Class for Java type float[]
    `static Class<?>` | `floatBufferArrayClass` Class for Java type FloatBuffer[]
    `static Class<?>` | `intArrayClass` Class for Java type int[]
    `static Class<?>` | `intBufferArrayClass` Class for Java type IntBuffer[]
    `static Class<?>` | `longArrayClass` Class for Java type long[]
    `static Class<?>` | `longBufferArrayClass` Class for Java type LongBuffer[]
    `static Class<?>` | `shortArrayClass` Class for Java type short[]
    `static Class<?>` | `shortBufferArrayClass` Class for Java type ShortBuffer[]
    `static Class<?>` | `stringArrayClass` Class for Java type String[]

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayTypes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### booleanArrayClass

          public static final Class<?> booleanArrayClass

      Class for Java type boolean[]

    - #### byteArrayClass

          public static final Class<?> byteArrayClass

      Class for Java type byte[]

    - #### charArrayClass

          public static final Class<?> charArrayClass

      Class for Java type char[]

    - #### shortArrayClass

          public static final Class<?> shortArrayClass

      Class for Java type short[]

    - #### intArrayClass

          public static final Class<?> intArrayClass

      Class for Java type int[]

    - #### longArrayClass

          public static final Class<?> longArrayClass

      Class for Java type long[]

    - #### floatArrayClass

          public static final Class<?> floatArrayClass

      Class for Java type float[]

    - #### doubleArrayClass

          public static final Class<?> doubleArrayClass

      Class for Java type double[]

    - #### stringArrayClass

          public static final Class<?> stringArrayClass

      Class for Java type String[]

    - #### bufferArrayClass

          public static final Class<?> bufferArrayClass

      Class for Java type Buffer[]

    - #### byteBufferArrayClass

          public static final Class<?> byteBufferArrayClass

      Class for Java type ByteBuffer[]

    - #### shortBufferArrayClass

          public static final Class<?> shortBufferArrayClass

      Class for Java type ShortBuffer[]

    - #### intBufferArrayClass

          public static final Class<?> intBufferArrayClass

      Class for Java type IntBuffer[]

    - #### longBufferArrayClass

          public static final Class<?> longBufferArrayClass

      Class for Java type LongBuffer[]

    - #### floatBufferArrayClass

          public static final Class<?> floatBufferArrayClass

      Class for Java type FloatBuffer[]

    - #### doubleBufferArrayClass

          public static final Class<?> doubleBufferArrayClass

      Class for Java type DoubleBuffer[]

  - ### Constructor Detail

    - #### ArrayTypes

          public ArrayTypes()